﻿using System;
using System.Collections.Generic;
using System.Text;
using WindowsLive.Writer.Api;
using System.Windows.Forms;

namespace WordpressPlugin
{
    [WriterPluginAttribute("5D630D2A-56CF-48ba-85D2-AAF30C5CE5A4", "Change Blog Title")]
    [InsertableContentSourceAttribute("Change Blog Title")]
    public class BlogTitlePlugin : SmartContentSource
    {
        public override SmartContentEditor CreateEditor(ISmartContentEditorSite editorSite)
        {
            return null;
        }

        public override string GeneratePublishHtml(ISmartContent content, IPublishingContext publishingContext)
        {
            BlogContext context = new BlogContext(publishingContext);

            using (TaglineDialog form = new TaglineDialog(context, Options))
            {
                form.ShowDialog();
            }

            return "";
        }

        public override DialogResult CreateContent(IWin32Window dialogOwner, ISmartContent newContent)
        {
            return DialogResult.OK;
        }
    }
}
